# attributes

abstract fun attributes(configureAction: Action<in AttributeContainer>): ModuleDependency

Mutates the attributes of this dependency. Attributes are used during dependency resolution to select the appropriate target variant, in particular when a single component provides different variants.

#### Return

this

#### Since

4.8

#### Parameters

configureAction

the attributes mutation action